%define	name	pth
%define	version	1.3.7
%define	release	1mdk
%define	serial	1

Summary:	GNU Pth - GNU Portable Threads.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL
Group:		Development/C
URL:		http://www.gnu.org/software/pth/
Source:		ftp://ftp.gnu.org/gnu/pth/%{name}-%{version}.tar.bz2
Patch0:		pth-Makefile-fixes.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildRequires:	libtool

%description
Pth is a very portable POSIX/ANSI-C based library for Unix platforms
which provides non-preemptive priority-based scheduling for multiple
threads of execution ("multithreading") inside server applications.
All threads run in the same address space of the server application,
but each thread has it's own individual program-counter, run-time
stack, signal mask and errno variable.

%package	devel
Summary:	GNU Pth - GNU Portable Threads (Headers and Static Libs).
Group:		Development/C
Requires:	%{name} = %{version}

%description	devel
Pth is a very portable POSIX/ANSI-C based library for Unix platforms.

Headers and Static Libraries.

%prep
%setup -q
%patch0 -p1


%build
%configure --enable-static --enable-shared
make
make test

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT
%makeinstall

#
# (fg) 20000827 FIXME! The Makefile is really screwy, it does not install any
# lib! Remove these two lines when corrected!
#

cp -d .libs/libpth.a .libs/libpth.so* $RPM_BUILD_ROOT/%{_libdir}

%post	-p /sbin/ldconfig

%postun	-p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%{_libdir}/libpth.so.*

%files	devel
%defattr(-,root,root,755)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS PORTING README THANKS
%{_bindir}/pth-config
%{_includedir}/pth.h
%{_libdir}/libpth.a
%{_libdir}/libpth.la
%{_libdir}/libpth.so
%{_mandir}/*/*

%changelog
* Sun Jul 30 2000 Geoffrey Lee <snailtalk@mnandrakesoft.com> 1.3.7-1mdk

- new version
* Thu Jul 27 2000 Francis Galiegue <fg@mandrakesoft.com> 1.3.6-1mdk

- 1.3.6
- BMacros
- numerous spec file changes - why has the Makefile gone so screwy?

* Mon Jul 10 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.3.1-4mdk
- makeinstall macro
- macroszifications

* Thu Apr 13 2000 Francis Galiegue <fg@mandrakesoft.com> 1.3.1-3mdk

- Changed group for -devel

* Thu Mar 16 2000 Francis Galiegue <francis@mandrakesoft.com>

- Some spec file changes
- Changed group to match 7.1 specs
- Let spec-helper do its job

* Tue Feb 22 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 1.3.1-1mdk
- v1.3.1

* Wed Feb  9 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.3-2mdk

- bzip man pages and make rpmlint happy.

* Tue Feb  8 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.3-1mdk

- version 1.2.3

* Fri Jul 30 1999 Ryan Weaver <ryanw@infohwy.com>
  [pth-1.0.3-1]
- Fixed inconsistent and wrong API value: PTH_ATTR_NULL existed and was
  documented as PTH_ATTR_NONE. But actually the intended and intuitive
  value was PTH_ATTR_DEFAULT. !BE CAREFUL: This is an API change and
  requires adjustments in Pth applications!
  [Ralf S. Engelschall, Eric Newton <ecn@smart.net>]
- Make sure pthread.h.in doesn't redefine the poll(2) environment
  under built-time because it's already defined by the included pth.h.
  [Kriton Kyrimis <kyrimis@cti.gr>]
- Add readv/writev environment fallback definitions to pthread.h.in.
  [Ralf S. Engelschall]
- Support for AmigaOS in pthreads.c: timespec attributes have (correct)
  ts_ prefix under AmigaOS and not the (bogus) POSIX tv_ prefix
  [Kriton Kyrimis <kyrimis@cti.gr>]
- Add `#include <time.h>' for struct timespec to pthread.h.in
  and removed timespec references in pth.h.in.
  [Ralf S. Engelschall]
- Fixed documentation for pth_spawn() and pth_wait().
  [Ralf S. Engelschall, Eric Newton <ecn@smart.net>]

